NSX-T Data Center REST API
System (Settings)
Associated URIs:
| API Description | API Path |
|---|---|
Accept end user license agreementAccept end user license agreement |
POST /policy/api/v1/eula/accept
POST /api/v1/eula/accept |
Return the acceptance status of end user license agreementReturn the acceptance status of end user license agreement |
GET /policy/api/v1/eula/acceptance
GET /api/v1/eula/acceptance |
Return the content of end user license agreementReturn the content of end user license agreement in the specified format. By default, it's pure string without line break |
GET /policy/api/v1/eula/content
GET /api/v1/eula/content |
Return the Enterprise LicenseReturn the Enterprise License. |
GET /api/v1/license
(Deprecated)
|
Assign an Updated Enterprise License KeyAssign an Updated Enterprise License Key. |
PUT /api/v1/license
(Deprecated)
|
Get all licensesReturns all licenses. |
GET /api/v1/licenses
|
Add a new license keyThis will add a license key to the system. The API supports adding only one license key for each license edition type - Standard, Advanced or Enterprise. If a new license key is tried to add for an edition for which the license key already exists, then this API will return an error. |
POST /api/v1/licenses
(Deprecated)
|
Remove a licenseThis will delete the license key identified in the request body by "license_key" and its properties from the system. Attempting to delete the last license key will result in an error. |
POST /api/v1/licenses?action=delete
(Deprecated)
|
Remove a license identified by the license-keyRemove a license identified by the license-key. |
DELETE /api/v1/licenses/{license-key}
(Deprecated)
|
Get license properties for license identified by the license-keyGet license properties for license identified by the license-key. |
GET /api/v1/licenses/{license-key}
(Deprecated)
|
Trigger to query licenses from all registered vCenters and License Hub asynchronousTrigger to query licenses from all registered vCenters and License Hub then update licenses in NSX in an asynchronous manner. |
POST /api/v1/licenses/action/async-query
|
Get status of asynchronous query operationGet status of asynchronous licenses query operation. |
GET /api/v1/licenses/action/async-query/status
|
Query the license token info by request parameterReturns license basic info and token based on the request parameters. This API only return the valid license which is not expired. |
GET /api/v1/licenses/license/action/query-token
|
Get usage report of all registered modulesReturns usage report of all registered modules |
GET /api/v1/licenses/licenses-usage
|
Get usage report of all registred modules in CSV formatReturns usage report of all registered modules in CSV format |
GET /api/v1/licenses/licenses-usage?format=csv
|
Get the security feature license usage report.Get the security feature license usage report. |
GET /api/v1/licenses/security-usage
|
Get the security feature license usage report in CSV format.Get the security feature license usage report in CSV format. |
GET /api/v1/licenses/security-usage?format=csv
|
Synchronize VCF licenses from all registered vCentersSynchronize VCF licenses from all registered vCenters and update licenses in NSX. This API will not return synchronized VCF licenses and just update them in NSX. |
POST /api/v1/licenses/vcf-licenses
(Deprecated)
|
Trigger to query VCF licenses from all registered vCenters asynchronousTrigger to query VCF licenses from all registered vCenters and update licenses in NSX in an asynchronous manner. If only_sync_unlicensed_vc is true, only query the licenses from the VCs that do not have a license in NSX asynchronously. If only_sync_unlicensed_vc is false, query the licenses from all VCs in NSX. |
POST /api/v1/licenses/vcf/action/async
|
Get status of asynchronous query operationGet status of asynchronous VCF licenses query operation. |
GET /api/v1/licenses/vcf/action/async/status
|
Synchronize VCF licenses from all registered vCentersSynchronize VCF licenses from all registered vCenters and update licenses in NSX. This API will not return synchronized VCF licenses and just update them in NSX. |
POST /api/v1/licenses/vcf/action/sync
|